STPCIDE(4) | Device Drivers Manual | STPCIDE(4)

# NAME

`stpcide` — STMicroelectronics STPC IDE disk controllers driver

# SYNOPSIS

`stpcide* at pci? dev ? function ? flags 0x0000`

# DESCRIPTION

The `stpcide` driver supports the STMicroelectronics STPC x86 SoC internal IDE controllers, and provides the interface with the hardware for the ata(4) driver. The driver features DMA mode 2 and PIO mode 4 transfer speeds.

The 0x0002 flag forces the `stpcide` driver to disable DMA on chipsets for which DMA would normally be enabled. This can be used as a debugging aid, or to work around problems where the IDE controller is wired up to the system incorrectly.

# SEE ALSO

ata(4), atapi(4), intro(4), pci(4), pciide(4), wd(4), wdc(4)

# BUGS

The timings used for the DMA and PIO modes are for STPC Atlas and its siblings with their PCI clock configured at 33 MHz. Other speeds including the STPC Vega Ultra-IDE controller will need adjustments.

October 31, 2003 | NetBSD 11.99